package com.hzya.frame.sys.apireflection.entity;

import java.util.Date;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.math.BigDecimal;
import com.hzya.frame.web.entity.BaseEntity;

/**
 * @description: 接口映射配置  entity
 * @tableName: sys_api_reflection_detail
 * @entityName: ApiReflectionDetailEntity
 * @author: gjh
 * @history: 1.0
 */
public class  ApiReflectionDetailEntity extends BaseEntity {

	/** 主表id */
	private String mainid;
	/** 源API字段 */
	private String source_field;
	/** 源API字段名 */
	private String source_name;
	/** 目标API字段 */
	private String target_field;
	/** 目标API字段名 */
	private String target_name;
	/** 目标API字段默认值 */
	private String default_vaule;
	/** 源字段层级 */
	private String source_field_path;
	/** 目标字段层级 */
	private String target_field_path;
	/** 无备注 */
	private String sorts;
	/** 无备注 */
	private String org_id;

	private String id;
	/** 坐标 */
	private String coordinate;
	/*源坐标*/
	private String source_path;
	/*目标坐标*/
	private String target_path;

	public String getSource_path() {
		return source_path;
	}

	public void setSource_path(String source_path) {
		this.source_path = source_path;
	}

	public String getTarget_path() {
		return target_path;
	}

	public void setTarget_path(String target_path) {
		this.target_path = target_path;
	}

	public String getCoordinate() {
		return coordinate;
	}

	public void setCoordinate(String coordinate) {
		this.coordinate = coordinate;
	}

	@Override
	public String getId() {
		return id;
	}

	@Override
	public void setId(String id) {
		this.id = id;
	}

	/** 主表id */
	public void setMainid(String mainid) {
			this.mainid = mainid;
			}
	/** 主表id */
	public String getMainid() {
			return mainid;
			}


	/** 源API字段 */
	public void setSource_field(String source_field) {
			this.source_field = source_field;
			}
	/** 源API字段 */
	public String getSource_field() {
			return source_field;
			}


	/** 源API字段名 */
	public void setSource_name(String source_name) {
			this.source_name = source_name;
			}
	/** 源API字段名 */
	public String getSource_name() {
			return source_name;
			}


	/** 目标API字段 */
	public void setTarget_field(String target_field) {
			this.target_field = target_field;
			}
	/** 目标API字段 */
	public String getTarget_field() {
			return target_field;
			}


	/** 目标API字段名 */
	public void setTarget_name(String target_name) {
			this.target_name = target_name;
			}
	/** 目标API字段名 */
	public String getTarget_name() {
			return target_name;
			}


	/** 目标API字段默认值 */
	public void setDefault_vaule(String default_vaule) {
			this.default_vaule = default_vaule;
			}
	/** 目标API字段默认值 */
	public String getDefault_vaule() {
			return default_vaule;
			}


	/** 源字段层级 */
	public void setSource_field_path(String source_field_path) {
			this.source_field_path = source_field_path;
			}
	/** 源字段层级 */
	public String getSource_field_path() {
			return source_field_path;
			}


	/** 目标字段层级 */
	public void setTarget_field_path(String target_field_path) {
			this.target_field_path = target_field_path;
			}
	/** 目标字段层级 */
	public String getTarget_field_path() {
			return target_field_path;
			}


	/** 无备注 */
	public void setSorts(String sorts) {
			this.sorts = sorts;
			}



	/** 无备注 */
	@Override
    public void setOrg_id(String org_id) {
			this.org_id = org_id;
			}
	/** 无备注 */
	@Override
    public String getOrg_id() {
			return org_id;
			}


}
